#!/usr/bin/python
#muthur6000

#usage > python3 muther6000.py
# python3 because the input functions don't work in python2

import sys #Imported to obtain command line arguments
import time
import os
import csv
import math

print ("System init...")
time.sleep(2)
print (" Initialising memory")
print (" Establishing connection")
time.sleep(2)
print ("\n . . . . Connected to SpaceNav") 
print ("_")
print ("_")
print ("_")
time.sleep(2)
print ("#     # #     #       # ####### #     #       # #     # ###### ")
print ("##   ## #     #      #     #    #     #      #  #     # #     # ")
print ("# # # # #     #     #      #    #     #     #   #     # #     # ")
print ("#  #  # #     #    #       #    #######    #    #     # ######  ")
print ("#     # #     #   #        #    #     #   #     #     # #   #   ")
print ("#     # #     #  #         #    #     #  #      #     # #    #  ")
print ("#     #  #####  #          #    #     # #        #####  #     # ") 
print ("\n \n \n ")

time.sleep(1)

print ("Trying auxiliary connection")

time.sleep(2)

print ("\n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n")
print ("#     # #     #       # ####### #     #       # #     # ###### ")
print ("##   ## #     #      #     #    #     #      #  #     # #     # ")
print ("# # # # #     #     #      #    #     #     #   #     # #     # ")
print ("#  #  # #     #    #       #    #######    #    #     # ######  ")
print ("#     # #     #   #        #    #     #   #     #     # #   #   ")
print ("#     # #     #  #         #    #     #  #      #     # #    #  ")
print ("#     #  #####  #          #    #     # #        #####  #     # ") 
print ("\n \n \n ")


#try:
star_list = open("AlienStarChart.csv","r")
reader = csv.reader(star_list)

header = next(reader) #first line is the header

data = []
for row in reader:
  # row = [Quadrant, Name, Lat, Long, Owner, Notes]
  quadrant = str(row[0])
  system_name = str(row[1])
  latitude = int(row[2])
  longitude = int(row[3])
  owner = str(row[4])
  notes = str(row[5])

  data.append([quadrant, system_name, latitude, longitude, owner, notes])

#print("Prints the header")
#print(header)
#print("Prints the whole list")
#print(data)
#print("Single lines from the  list")
#print(data[0])
#print(data[12])

#print("An item from an item on the list")
#print(data[0][0]) #not sure you can address lists this way, maybe dict?

#index = data[0].index('Sol')
#print ("the index fof Sol is ", index)

#for item in data:
#  if item[0] == 'Spinward-Rimward':
#    print(item)

#except IOError:
#  print ("Connection to SpaceNav failed")
#  print ("Trying auxiliary connection")


authcode  = input("Enter Authorisation Code: ")
print("Welcome user " + str(authcode))
time.sleep(1)

currentloc = input("Enter your current location: ")
print("Current location " + currentloc + " confirmed.")
time.sleep(1)

for  space1 in data:
  if  space1[1] == currentloc:
    lat1 = space1[2]
    long1 = space1[3]
    print(currentloc + " is in the " + space1[0] + " quadrant")

destination = input("Enter your destination: ")
print("Destination " + destination + " confirmed")
time.sleep(1)

for space2 in data:
  if space2[1] == destination:
    lat2 = space2[2]
    long2 = space2[3]
    print(destination + " is in the " + space2[0] + " quadrant")
    print("PILOT NOTE: " + destination  + " is affiliated with " + space2[4] +".")
    print("Other notes may be available:  " + space2[5] + ".")

print("Calculating trajectory...")
time.sleep(3)

distanceP = math.sqrt( (long1-long2)**2  + (lat1-lat2)**2 )
distance2P = round(distanceP,2) 
print ("The distance is " + str(distance2P) + " parsecs.")
distanceLY =  round((distance2P*3.26),2)
print ("(" + str(distanceLY) + " light years)")
print("\n")
time.sleep(1)
print("\n")
time.sleep(1)
print("\n")
time.sleep(1)
print("\n")
time.sleep(1)
print("\n")
time.sleep(1)
print("\n")
time.sleep(1)

